=== models/CMakeLists.txt ===
OPTION(BUILD_MODELS "Build models for some well known robots" FALSE)

IF(BUILD_MODELS)
  
  ADD_LIBRARY(orocos-kdl-models SHARED puma560.cpp) 
  INCLUDE_DIRECTORIES(${PROJ_SOURCE_DIR}/src)
  SET_TARGET_PROPERTIES( orocos-kdl-models PROPERTIES
    SOVERSION "${KDL_VERSION_MAJOR}.${KDL_VERSION_MINOR}"
    VERSION "${KDL_VERSION}"
    COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}")
  TARGET_LINK_LIBRARIES(orocos-kdl-models orocos-kdl)
  
  INSTALL_TARGETS( /lib orocos-kdl-models)
  INSTALL_FILES( /include/kdl FILES models.hpp)
ENDIF(BUILD_MODELS)

INCLUDE(CMakeDependentOption)
CMAKE_DEPENDENT_OPTION(BUILD_MODELS_DEMO "Build demo for some of the models" OFF "BUILD_MODELS" OFF)  
IF(BUILD_MODELS_DEMO)
  ADD_EXECUTABLE(p560test puma560test.cpp)
  TARGET_LINK_LIBRARIES(p560test orocos-kdl-models)
  SET_TARGET_PROPERTIES( p560test PROPERTIES
    COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}")
ENDIF(BUILD_MODELS_DEMO)
