=== debian/control ===
Source: orocos-kdl
Priority: extra
Maintainer: Ruben Smits <ruben.smits@mech.kuleuven.be>
Build-Depends: debhelper (>= 5), cmake, pkg-config,libboost-dev,doxygen, liborocos-rtt-common-dev,liborocos-rtt-gnulinux-dev,liborocos-rtt-lxrt-dev,liborocos-rtt-xenomai-dev,liborocos-rtt-corba-common-dev, liborocos-rtt-corba-gnulinux-dev ,liborocos-rtt-corba-lxrt-dev,liborocos-rtt-corba-xenomai-dev ,python-sip4-dev (>=4.4.5),python-sip4,python-support,sip4, tao-idl
Standards-Version: 3.7.2
Section: libs

Package: liborocos-kdl1.0-dev
Section: libdevel
Architecture: any
Depends: liborocos-kdl1.0 (= ${Source-Version})
Provides: liborocos-kdl-dev
Conflicts: liborocos-kdl-dev
Replaces: liborocos-kdl-dev
Description: Kinematics and Dynamics Library development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdl1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Kinematics and Dynamics Library runtime
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-gnulinux1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Kinematics and Dynamics Library rtt-gnulinux binding
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-corba-gnulinux1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Kinematics and Dynamics Library rtt-corba-gnulinux binding
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-lxrt1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Kinematics and Dynamics Library rtt-lxrt binding
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-corba-lxrt1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Kinematics and Dynamics Library rtt-corba-lxrt binding
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-xenomai1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Kinematics and Dynamics Library rtt-xenomai binding
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-corba-xenomai1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Kinematics and Dynamics Library rtt-coba-xenomai binding
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-common1.0-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-rtt-common-dev, liborocos-kdl1.0-dev, liborocos-kdltk-gnulinux1.0 | liborocos-kdltk-lxrt1.0 | liborocos-kdltk-xenomai1.0
Provides: liborocos-kdltk-common-dev
Conflicts: liborocos-kdltk-common-dev
Replaces: liborocos-kdltk-common-dev
Description: orocos-rtt binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-gnulinux1.0-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-kdltk-common1.0-dev, liborocos-kdltk-gnulinux1.0
Provides: liborocos-kdltk-gnulinux-dev
Conflicts: liborocos-kdltk-gnulinux-dev
Replaces: liborocos-kdltk-gnulinux-dev
Description: orocos-rtt-gnulinux binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-lxrt1.0-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-kdltk-common1.0-dev, liborocos-kdltk-lxrt1.0
Provides: liborocos-kdltk-lxrt-dev
Conflicts: liborocos-kdltk-lxrt-dev
Replaces: liborocos-kdltk-lxrt-dev
Description: orocos-rtt-lxrt binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-xenomai1.0-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-kdltk-common1.0-dev, liborocos-kdltk-xenomai1.0
Provides: liborocos-kdltk-xenomai-dev
Conflicts: liborocos-kdltk-xenomai-dev
Replaces: liborocos-kdltk-xenomai-dev
Description: orocos-rtt-xenomai binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-corba-common1.0-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-rtt-corba-common-dev, liborocos-kdltk-common1.0-dev, liborocos-kdltk-corba-gnulinux1.0 | liborocos-kdltk-corba-lxrt1.0 | liborocos-kdltk-corba-xenomai1.0
Provides: liborocos-kdltk-corba-common-dev
Conflicts: liborocos-kdltk-corba-common-dev
Replaces: liborocos-kdltk-corba-common-dev
Description: orocos-rtt binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-corba-gnulinux1.0-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-rtt-corba-common-dev, liborocos-kdltk-corba-common1.0-dev, liborocos-kdltk-gnulinux1.0-dev, liborocos-kdltk-corba-gnulinux1.0
Provides: liborocos-kdltk-corba-gnulinux-dev
Conflicts: liborocos-kdltk-corba-gnulinux-dev
Replaces: liborocos-kdltk-corba-gnulinux-dev
Description: orocos-rtt-corba-gnulinux binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-corba-lxrt1.0-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-rtt-corba-common-dev,liborocos-kdltk-corba-common1.0-dev, liborocos-kdltk-lxrt1.0-dev,liborocos-kdltk-corba-lxrt1.0
Provides: liborocos-kdltk-corba-lxrt-dev
Conflicts: liborocos-kdltk-corba-lxrt-dev
Replaces: liborocos-kdltk-corba-lxrt-dev
Description: orocos-rtt-corba-lxrt binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdltk-corba-xenomai-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liborocos-rtt-corba-common-dev, liborocos-kdltk-corba-common1.0-dev, liborocos-kdltk-xenomai1.0-dev, liborocos-kdltk-corba-xenomai1.0
Description: orocos-rtt-corba-xenomai binding development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.

Package: liborocos-kdl-python1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python, liborocos-kdl1.0
Description: Kinematics and Dynamics Library python binding
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers.
